Subject: Re: bug#35629: 27.0.50; version-to-list fails on Cygwin gpg2 version string

From: Ken Brown <[email-masked]>
Date: Sat, 11 May 2019 21:18:53 +0000

On 5/11/2019 4:32 AM, Kazuhiro Ito wrote:
>>> Cygwin's gpg2 has "-unknown" suffix in version string.
>>>
>>>> $ gpg2 --version
>>>>
>>>> gpg (GnuPG) 2.2.15-unknown
>>>> ...
>>
>> This is a bug in the Cygwin build of gnupg2.  I've sent a fix to the Cygwin
>> mailing list:
> 
>>     http://www.cygwin.org/ml/cygwin/2019-05/msg00089.html
> 
> Thank you for the investigation.  Actually, the same problem occurs in
> MSYS2 and MSYS2/mingw packages.  Furthermore, as far as I tested,
> autoreconf on release tarball adds extra "-unknown" in version string
> independently of platforms.

That's right.  It just happens that the standard procedure for building packages 
on Cygwin is to run autoreconf on the distributed source.

> I think that two issues are related with my bug report.
> 
> #1. Cygwin, MSYS2's gnupg binary has extra "-unknown" in version string
> despite of that they should be released version.
> 
> I think it is what you've reported to Cygwin ML.
> 
> 
> #2. Locally built gnupg binary may become "-unknown" suffix version.
> 
> GnuPG's autogen.sh makes "-unknown" suffix version configure script if
> source code directory doesn't have .git directory.  If "-unknown"
> suffix is a bug as a general thing, I think GnuPG's repository should
> be fixed.  If not, I hope vertion-to-list function accepts "-unknown"
> suffix.  How do you think?

I agree.

Ken